Module javafx.graphics
Package javafx.scene.text

## Class HitInfo

- java.lang.Object
- - javafx.scene.text.HitInfo

-     public class HitInfo
      extends Object

  Represents the hit information in a Text node.
  Since:
    9

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCharIndex()` | The index of the character which this hit information refers to.
    `int` | `getInsertionIndex()` | Returns the index of the insertion position.
    `boolean` | `isLeading()` | Indicates whether the hit is on the leading edge of the character.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCharIndex

          public int getCharIndex()

      The index of the character which this hit information refers to.
      Returns:
        the index of the character which this hit information refers to

    - #### isLeading

          public boolean isLeading()

      Indicates whether the hit is on the leading edge of the character. If it is false, it represents the trailing edge.
      Returns:
        if true the hit is on the leading edge of the character, otherwise the trailing edge

    - #### getInsertionIndex

          public int getInsertionIndex()

      Returns the index of the insertion position.
      Returns:
        the index of the insertion position

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`